tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: binary compatible jpeg-8 v.s. jpeg-8nb1

    Date:        Sun, 24 Jan 2010 22:49:33 +0900
    From:        "OBATA Akio" <>
    Message-ID:  <>

  | jpeg-8 and jpeg-8nb1 (pkg/42639) are binary compatible?
  | After update of jpeg-8nb1, failed to configure on editors/emacs for me.
  | (libtiff is built with jpeg-8)

I see the same thing (have done for days) - though the relationship of
this to the 8 to 8nb1 update hadn't occurred to me ...

Aside from libtiff I see it with gnustep-gui (and I suspect with other
libraries that depend upon libjpeg) - I started my package rebuild very
soon after jpeg went to version 8, and lots of it completed before 8nb1
was built (the first build went on for days before the next set of
updates happened).

What's the solution to be?    jpeg-8nb2 (that goes back to jpeg8 for
NetBSD at least) or a revbump on the world (again) (or at least all the
world that hasn't been revbumped since jpeg-8nb1 appeared) ?

It would be nice if something happened soon - whatever it is, as it is now
I have quite a lot of packages that aren't building because of this problem.


Home | Main Index | Thread Index | Old Index